.navbar {
    overflow: auto;
}

ul.nav {
    padding: 0;
    margin: 0;
    background-color: #777;
}
ul.nav li {
    display: block;
    float: left;
    padding: 4px 8px;
}

.username {
    float: right;
    margin: 4px 8px;
}